using System;
using System.Diagnostics;
using System.Linq;

namespace Zadatak_1
{
    class Nesusedni
    {
        static void Main(string[] args)
        {
            //Korak 1 - ucitavamo ulazne podatke

            string unosSlova = Console.ReadLine();
            string[] unosBrojeva = Console.ReadLine().Split();
            Stopwatch s = new Stopwatch();
            s.Start();
            char[] slova = { unosSlova[0], unosSlova[1] };
            int[] brojevi = { int.Parse(unosBrojeva[0]), int.Parse(unosBrojeva[1]) };

            //Korak 2 - proveravamo da li je nemoguce ispisati string

            if (Math.Abs(brojevi[0] - brojevi[1]) > 1) {
                Console.WriteLine("nemoguce");
            }

            //Korak 3 - ispis u slucaju da su isti

            else if (brojevi[0] == brojevi[1]) {
                string izlaz = "";
                for(int i = 0; i < brojevi[0]; i++) {
                    izlaz += slova[0];
                    izlaz += slova[1];
                }
                Console.WriteLine(izlaz);
            }

            //Korak 4 - ispis u slucaju da su razliciti za 1

            else if (brojevi[0] > brojevi[1]) {
                string izlaz = "";
                for (int i = 0; i < brojevi[1]; i++) {
                    izlaz += slova[0];
                    izlaz += slova[1];
                }
                izlaz += slova[0];
                Console.WriteLine(izlaz);
            }
            else {
                string izlaz = "";
                for (int i = 0; i < brojevi[0]; i++) {
                    izlaz += slova[1];
                    izlaz += slova[0];
                }
                izlaz += slova[1];
                Console.WriteLine(izlaz);
            }

            s.Stop();
            Console.WriteLine(s.Elapsed);
        }
    }
}